#import "ToyWin.h"

@interface ToyWinEPS : ToyWin

/* Overload */
- (int)getBitmap:(unsigned char **)map info:(commonInfo **)infp;
- freeTempBitmap;
- (NXStream *)openEPSStream;

/* New */
- (NXStream *)openTiffStream:(BOOL)compress;
- (NXStream *)rotateEPS:(int)op to:(int)angle width:(int)lx height:(int)ly
	name:(const char *)fname error:(int *)err;
- (NXStream *)clipEPS:(NXRect *)select error:(int *)err;
- (NXStream *)resizeEPS:(float)factor name:(const char *)fname error:(int *)err;

@end


@interface ToyWinEPS (Readin)

/* Overload */
- makeComment:(commonInfo *)cinf;
- (commonInfo *)drawToyWin:(const char *)fileName type:(int)type
	map:(unsigned char **)map err:(int *)err;

/* NEW */
- (NXStream *)openStreamFromFile:(const char *)fileName err:(int *)err;

@end
